%define upstream_name	 Imager
%define upstream_version 1.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for generating 24 bit images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Imager/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(XSLoader)
BuildRequires: fontconfig-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: perl-devel
BuildRequires: t1lib-devel
# (tv) testsuite is broken with giflib-5.x:
# (https://bugzilla.redhat.com/show_bug.cgi?id=822844)
BuildConflicts: giflib-devel

%{?perl_default_filter}

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
IM_SUPPRESS_PROMPT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes GIF ICO JPEG META.json META.yml MYMETA.yml PNG README SGI TIFF samples
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.5.0-3pclos2017
- rebuild against updates

